## ucar.multiarray
Interface MultiArrayInfo

All Known Subinterfaces:
  MultiArray

All Known Implementing Classes:
  ArrayMultiArray, MultiArrayImpl, MultiArrayProxy, ProtoVariable, ScalarMultiArray, StringCharAdapter, Variable

public interface MultiArrayInfo

Inquiry or introspection interface for abstract multidimensional arrays. The MultiArray interface extends this by adding data access operations.

See Also:
  `MultiArray`, `ProtoVariable`

Method Summary
`Class` `getComponentType()` Returns the Class object representing the component type of the array.
`int[]` `getLengths()` Discover the dimensions of this MultiArray.
`int` `getRank()` Returns the number of dimensions of the array.
`boolean` `isScalar()` Convenience interface; return `true` if and only if the rank is zero.
`boolean` `isUnlimited()` Returns `true` if and only if the effective dimension lengths can change.

Method Detail

### getComponentType

    public Class getComponentType()

  Returns the Class object representing the component type of the array.

  Returns:
    Class the component type
  See Also:
    `Class.getComponentType()`

### getRank

    public int getRank()

  Returns the number of dimensions of the array.

  Returns:
    int number of dimensions of the array

### getLengths

    public int[] getLengths()

  Discover the dimensions of this MultiArray.

  Returns:
    int array whose length is the rank of this MultiArray and whose elements represent the length of each of it's dimensions

### isUnlimited

    public boolean isUnlimited()

  Returns `true` if and only if the effective dimension lengths can change. For example, if this were implemented by a java.util.Vector.

  Returns:
    boolean `true` iff this can grow

### isScalar

    public boolean isScalar()

  Convenience interface; return `true` if and only if the rank is zero.

  Returns:
    boolean `true` iff rank == 0